# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['airflow_prometheus',
 'airflow_prometheus.metrics',
 'airflow_prometheus.stat',
 'airflow_prometheus.statsd_hook']

package_data = \
{'': ['*'], 'airflow_prometheus': ['templates/prometheus/*']}

install_requires = \
['Flask-Admin>=1.5.8,<2.0.0',
 'apache-airflow>=2.0.0',
 'prometheus-client>=0.10.1,<0.11.0',
 'simplekv>=0.14.1,<0.15.0',
 'statsd>=3.3.0,<4.0.0',
 'typer>=0.3.2,<0.4.0']

entry_points = \
{'airflow.plugins': ['airflow_prometheus_plugin = '
                     'airflow_prometheus.prometheus_exporter:AirflowPrometheusPlugin'],
 'console_scripts': ['publish = publish:publish']}

setup_kwargs = {
    'name': 'airflow-prometheus',
    'version': '0.1.0',
    'description': 'Modern Prometheus exporter for Airflow (based on robinhood/airflow-prometheus-exporter)',
    'long_description': '# Airflow Prometheus (0.1.0)',
    'author': 'Piotr Styczyński',
    'author_email': 'piotrsty1@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
